Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.document
Interface Array

All Superinterfaces:
  Collection<Object>, Document, Iterable<Object>, List<Object>, Serializable

All Known Subinterfaces:
  EditableArray, MutableArray

All Known Implementing Classes:
  ArrayEditor, BasicArray, ObservableArrayEditor

    public interface Array

extends Document, List<Object>

Primary read-only interface for an in-memory representation of JSON/BSON arrays. Note that this interface extends `Document`, where the field names are simply string representations of the array indices. This interface also extends the standard Java `List` interface.

Since:
  5.1
Author:
  Randall Hauch (C) 2011 Red Hat Inc.

Nested Class Summary
`static interface` | `Array.Entry` A representation of an entry within the array.

Nested classes/interfaces inherited from interface org.infinispan.schematic.document.Document
`Document.Field, Document.ValueTransformer`

Method Summary
`Array` | `clone()` Obtain a clone of this array.
`Iterable<Array.Entry>` | `getEntries()` Get the entries in this array.

Methods inherited from interface org.infinispan.schematic.document.Document
`containsAll, containsField, fields, get, getArray, getBinary, getBoolean, getBoolean, getCode, getCodeWithScope, getDocument, getDouble, getDouble, getInteger, getInteger, getLong, getLong, getMaxKey, getMinKey, getNumber, getNumber, getObjectId, getPattern, getString, getString, getSymbol, getType, getUuid, getUuid, isEmpty, isNull, isNullOrMissing, keySet, size, toMap, with, with, withVariablesReplaced, withVariablesReplacedWithSystemProperties`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### clone

    Array clone()

  Obtain a clone of this array.

  Specified by:
    `clone` in interface `Document`
  Returns:
    the clone of this array; never null

### getEntries

    Iterable<Array.Entry> getEntries()

  Get the entries in this array.

  Returns:
    an iterable containing the array's entries; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.